<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.image.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>

<GridPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="600.0" prefWidth="800.0" xmlns="http://javafx.com/javafx/8.0.40" xmlns:fx="http://javafx.com/fxml/1" fx:controller="cz.vse.java.filipvencovsky.xnameadventuracv.main.HomeController">
  <columnConstraints>
      <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="150.0" />
    <ColumnConstraints hgrow="ALWAYS" minWidth="10.0" prefWidth="100.0" />
    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="150.0" />
  </columnConstraints>
  <rowConstraints>
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="NEVER" />
      <RowConstraints minHeight="10.0" prefHeight="222.0" vgrow="NEVER" />
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="NEVER" />
  </rowConstraints>
   <children>
      <TextArea fx:id="vystup" prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="2" />
      <MenuBar GridPane.columnSpan="2147483647">
        <menus>
          <Menu mnemonicParsing="false" text="Soubor">
            <items>
              <MenuItem mnemonicParsing="false" text="Close" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" text="Návpověda">
            <items>
              <MenuItem mnemonicParsing="false" text="About" />
            </items>
          </Menu>
        </menus>
      </MenuBar>
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="3">
         <children>
            <TextField fx:id="vstup" onAction="#zpracujVstup" HBox.hgrow="SOMETIMES">
               <HBox.margin>
                  <Insets />
               </HBox.margin>
            </TextField>
            <Button fx:id="odesli" mnemonicParsing="false" onAction="#zpracujVstup" text="Odešli" />
         </children>
      </HBox>
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.rowIndex="1">
         <children>
            <Region prefHeight="200.0" prefWidth="200.0" HBox.hgrow="ALWAYS" />
            <AnchorPane prefHeight="200.0" prefWidth="200.0">
               <children>
                  <ImageView fitHeight="222.0" fitWidth="290.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@herniPlan.png" />
                     </image>
                  </ImageView>
                  <ImageView fx:id="hrac" fitHeight="76.0" fitWidth="71.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@Troll-face.png" />
                     </image>
                  </ImageView>
               </children>
            </AnchorPane>
            <Region prefHeight="200.0" prefWidth="200.0" HBox.hgrow="ALWAYS" />
         </children>
      </HBox>
      <ListView fx:id="seznamVychodu" onMouseClicked="#jdiClick" prefHeight="200.0" prefWidth="200.0" GridPane.rowIndex="2" />
      <ListView prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="2" GridPane.rowIndex="2" />
   </children>
</GridPane>
